// BallyWavIn.h: interface for the BallyWavIn class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_BALLYWAVIN_H__3E6D1BAB_2984_4B41_A53A_1CAA5E42A1AE__INCLUDED_)
#define AFX_BALLYWAVIN_H__3E6D1BAB_2984_4B41_A53A_1CAA5E42A1AE__INCLUDED_

#if _MSC_VER >= 1000
#pragma once
#endif // _MSC_VER >= 1000

#include "WavDataIn.h"

class BallyWavIn : public WavDataIn  
{
public:
	BallyWavIn();
	virtual ~BallyWavIn();
    int open(char *filename, int sign, int pMinHalfWavLength, int pVerbosity);

    void syncBits(bool);
	unsigned int getByteHeader();
    unsigned int getBit();

private:
	void syncWav(void);

};

#endif // !defined(AFX_BALLYWAVIN_H__3E6D1BAB_2984_4B41_A53A_1CAA5E42A1AE__INCLUDED_)
