#include <cstdlib>
#include <string>
#include <fstream>
#include <iostream>
#include <math.h>

using namespace std;
class WavOutFile {
public:
	WavOutFile(char *);
	~WavOutFile();

	int format;
	int channels;
	long sampleRate;
	long bytesPerSecond;
	int bytesPerSample;
	int bitsPerSample;
	double length;
	double time;
	unsigned char byteStream;
    void WavOutFile::putByteHeader(int header);
    void putByte(unsigned char inByte);
    void putWord(int type, unsigned char inByteOne, unsigned char inByteTwo);
    void putSilence(double silenceLength);

private:
	long bitcount;
	ofstream ofsWavOutFile;
	std::string WavOutFileName;
	double fileSize;
	double filePosition;
	long bufferPosition;
	unsigned char buffer[8192];
	unsigned char byte;
	unsigned char word[2];
	unsigned char longWord[4];
	int openWavOutFile(char *);
    void putBit(int bitLength);
	int zeroBitLength;
	int oneBitLength;
};