// BallyWavOut.cpp: implementation of the BallyWavOut class.
//
//////////////////////////////////////////////////////////////////////
#ifdef _AFXDLL
    #include "stdafx.h"
#endif
#include "BallyWavOut.h"
#include "BallyBinFile.h"
#include "wordVal.h"
//////////////////////////////////////////////////////////////////////
// Construction/Destruction
//////////////////////////////////////////////////////////////////////

BallyWavOut::BallyWavOut()
{
    zeroBitLength = 7;
	oneBitLength = 14;
}

BallyWavOut::~BallyWavOut()
{

}

void BallyWavOut::putBallyBit(int bit)
{
    if (bit)
        putBit(oneBitLength);
	else
	    putBit(zeroBitLength);
}

/*
void BallyWavOut::putByteHeader(int header)
{
    for (int i=0; i<2; i++)
    {
        if (header & 2)
            putBit(oneBitLength);
	    else
	        putBit(zeroBitLength);
        header = header << 1;
    }
}
*/

void BallyWavOut::putDataWord(int startBitTwo, unsigned char inByteOne, unsigned char inByteTwo)
{
	unsigned char outByteOne;
	unsigned char outByteTwo;
    outByteOne = WordVal::revByte(inByteOne);
    outByteTwo = WordVal::revByte(inByteTwo);
    dataCs = cs;
    cs += inByteOne;
    myCs = inByteOne;
    if (!startBitTwo)
    {
        dataCs = cs;
        cs += inByteTwo;
        myCs = inByteTwo;
    }
    putBallyBit(0);
	putByte(outByteOne);
    putBallyBit(1);
    putBallyBit(startBitTwo);
	putByte(outByteTwo);
    putBallyBit(1);
}

void BallyWavOut::putBasicWord(int startBitTwo, unsigned char inByteOne, unsigned char inByteTwo)
{
	unsigned char outByteOne;
	unsigned char outByteTwo;
    BallyBinFile::convertWord(inByteOne, inByteTwo, &outByteOne, &outByteTwo);
	if (startBitTwo==3)
		startBitTwo = 1;
	else
	{
		dataCs = cs;
		cs += WordVal::revByte(outByteOne);
		myCs = WordVal::revByte(outByteOne);
	}
    if (startBitTwo==0)
    {
        dataCs = cs;
        cs += WordVal::revByte(outByteTwo);
        myCs = WordVal::revByte(outByteTwo);
	}
    putBallyBit(0);
	putByte(outByteOne);
    putBallyBit(1);
	if (startBitTwo == 2)
		startBitTwo = 0;
    putBallyBit(startBitTwo);
	putByte(outByteTwo);
    putBallyBit(1);
}