#include <cstdlib>
#include <string>
#include <iostream.h>
#include "scbin.h"

int main(int argc, char *argv[]) 
{
    ScWavFile inFile;

    while (--argc > 0 && (*++argv)[0] == '-')
    {
        char flag = *++argv[0];
        double sineTolerance;
        switch (flag)
        {
            case 's':
                if ((sineTolerance=atof(*argv+1))==0)
                {
                    cout << "Illegal sine Tolerance!\n";
                    exit(1);
                }
                inFile.setSineTolerance(sineTolerance);
                break;
            default:
                cout << "Illegal flag " << flag << "\n";
        }
    }
    return inFile.convert(argv[0]);
}
