#include <cstdlib>
#include <string>
#include <iostream.h>
#include "ballyBinFile.h"
#include "Error.h"

void verifyLine(char *realLine, unsigned char *myLine, int dataIndex)
{
    int i;

    for (i=0; i<dataIndex; i++)
    {
        if (myLine[i] != realLine[i])
        {
            printf("Error!\n");
        }
    }
    if (i >= 0)
        printf("O.K.!\n");
}

int main(int argc, char *argv[])
{
    BallyBinFile junk;
    unsigned char dataBuffer[256];
    char realLine1[] = {0x01, 0x00, 0x26, 0x28, 0x31, 0x30, 0x29, 0x3d, 0x31, 0x31, 0x32, 0x3b,
                        0x43, 0x59, 0x3d, 0x2d, 0x37, 0x3b, 0x43, 0x58, 0x3d, 0x2d,
                        0x34, 0x38, 0x3b, 0x74, 0x22, 0x50, 0x4c, 0x45, 0x41, 0x53,
                        0x45, 0x20, 0x53, 0x54, 0x41, 0x4e, 0x44, 0x20, 0x42, 0x59,
                        0x2e, 0x2e, 0x2e, 0x22, 0x0d};
    char realLine2[] = {0x50, 0x00, 0x4c, 0x3d, 0x4c, 0x2b, 0x4a, 0x58, 0x28, 0x31, 0x29, 0x3b,
                        0x55, 0x3d, 0x55, 0x2b, 0x4a, 0x59, 0x28, 0x31, 0x29, 0x3b, 0x71, 0x4c,
                        0x2c, 0x55, 0x2c, 0x57, 0x2c, 0x48, 0x2c, 0x33, 0x3b, 0x71, 0x4c, 0x2c,
                        0x55, 0x2c, 0x57, 0x2c, 0x48, 0x2c, 0x33, 0x3b, 0x6d, 0x54, 0x52, 0x28,
                        0x31, 0x29, 0x71, 0x4c, 0x2c, 0x55, 0x2c, 0x57, 0x2c, 0x48, 0x2c, 0x31,
                        0x3b, 0x6e, 0x37, 0x30, 0x0d};
    char realLine3[] = {0x1e, 0x00, 0x74, 0x22, 0x54, 0x52, 0x28, 0x31, 0x29, 0x61,
                        0x46, 0x52, 0x45, 0x45, 0x5a, 0x45, 0x53, 0x20, 0x42, 0x4f,
                        0x58, 0x22, 0x3b, 0x6f, 0x31, 0x30, 0x0d};

    char realLine4[] = {0x1e, 0x00, 0x74, 0x22, 0x54, 0x52, 0x28, 0x31, 0x29, 0x61,
                        0x46, 0x52, 0x45, 0x45, 0x5a, 0x45, 0x20, 0x77, 0x42, 0x4f,
                        0x58, 0x22, 0x3b, 0x6f, 0x31, 0x30, 0x0d};
    long dataIndex = 0;
    long lineNumber = 1;
    memset(dataBuffer, 0, 256);
    junk.encodeBasicLine(dataBuffer, &dataIndex, lineNumber,
           "&(10)=112;CY=-7;CX=-48;PRINT \"PLEASE STAND BY...\"");

    verifyLine(realLine1, dataBuffer, dataIndex);

    dataIndex = 0;
    lineNumber = 80;
    memset(dataBuffer, 0, 256);
    junk.encodeBasicLine(dataBuffer, &dataIndex, lineNumber,
           "L=L+JX(1);U=U+JY(1);BOX L,U,W,H,3;BOX L,U,W,H,3;IF TR(1)BOX L,U,W,H,1;GOTO 70");
    verifyLine(realLine2, dataBuffer, dataIndex);

    dataIndex = 0;
    lineNumber = 30;
    memset(dataBuffer, 0, 256);
    junk.encodeBasicLine(dataBuffer, &dataIndex, lineNumber,
           "PRINT \"TR(1)|right_arrow|FREEZES BOX\";GOSUB 10");
    verifyLine(realLine3, dataBuffer, dataIndex);
    
    dataIndex = 0;
    lineNumber = 30;
    memset(dataBuffer, 0, 256);
    junk.encodeBasicLine(dataBuffer, &dataIndex, lineNumber,
           "PRINT \"TR(1)|right_arrow|FREEZE |TO |BOX\";GOSUB 10");
    verifyLine(realLine4, dataBuffer, dataIndex);
    return 0;
}