#include <cstdlib>
#include <string>
#include <fstream>
#include <iostream>
#include <math.h>
#include "wordVal.h"
#include "WavFile.h"

class WavDataOut : public WavFile {
public:
    unsigned char checkSum;
	WavDataOut();
	~WavDataOut();

	int  open(char *pFileName, long pSampleRate = 22050, int pBitsPerSample = 8, int pChannels = 1);
    void close();
    void putZeroBit();
    void putOneBit();
    void putByte(unsigned char inByte);

protected:
	int  zeroBitLength, oneBitLength;
	void putSample(int pAmplitude);
    void putBit(int bitLength);

private:
    long bitcount;
};
